%define ibus_version 1.3.7

Name:       ibus-qt
Version:    1.3.1
Release:    1%{?dist}
Summary:    Qt IBus library and Qt input method plugin
License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}-Source.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  qt-devel >= 4.5
BuildRequires:  dbus-devel >= 1.2
BuildRequires:  ibus-devel >= %ibus_version
BuildRequires:  libicu-devel >= 4.0
BuildRequires:  doxygen >= 1.6
Requires:   ibus >= %ibus_version

%description
Qt IBus library and Qt input method plugin.

%package devel
Summary:    Development tools for ibus qt
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
The ibus-qt-devel package contains the header files for ibus qt library.

%package docs
Summary:    Development documents for ibus qt
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description docs
The ibus-qt-docs package contains developer documentation for ibus qt library.

%prep
%setup -q -n %{name}-%{version}-Source

%build
%cmake \
    -DCMAKE_INSTALL_PREFIX=%{_usr} \
    -DLIBDIR=%{_libdir}
make \
    VERBOSE=1 \
    C_DEFINES="$RPM_OPT_FLAGS" \
    CXX_DEFINES="$RPM_OPT_FLAGS" \
    %{?_smp_mflags}
make docs

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# %find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
# -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README INSTALL
%{_libdir}/libibus-qt.so.*
%{_libdir}/qt4/plugins/inputmethods/libqtim-ibus.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libibus-qt.so

%files docs
%defattr(-,root,root,-)
%doc docs/html

%changelog
* Mon Jul 27 2009 Peng Huang <shawn.p.huang@gmail.com> - 1.3.1-1
- The first version.
